#
# spec file for package desktop-data-NLD (Version 10.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-HTML-Parser perl-HTML-Tagset perl-RPC-XML perl-URI perl-XML-Parser perl-libwww-perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xdg-menu zlib zlib-devel

Name:           desktop-data-NLD
BuildRequires:  perl-RPC-XML update-desktop-files xdg-menu
Version:        10.1
Release:        31.10
Summary:        SuSE Theme Files for KDE and GNOME
License:        Other License(s), see package, GPL
Group:          System/GUI/Other
Conflicts:      desktop-data-SuSE
Obsoletes:      susewm desktop-data-SLES
Provides:       desktop-data desktop-data-SLES
PreReq:         /bin/rm
PreReq:         %fillup_prereq
# some soft Requires: Crystalcursors
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
Source:         desktop-data.tar.bz2
Source1:        %name.fillup
BuildArchitectures: noarch

%description
This package contains the SuSE menu structure files for KDE and GNOME.



Authors:
--------
    Adrian Schrter <adrian@suse.de>
    
    The SUSE Sans font is based on the "Bitstream Vera" font.


%build

%install
mkdir -p $RPM_BUILD_ROOT/
tar xfj %{SOURCE0} -C $RPM_BUILD_ROOT/ --no-same-owner --exclude=CVS --exclude=.cvsignore
mv $RPM_BUILD_ROOT/desktop-data/* $RPM_BUILD_ROOT/
rmdir $RPM_BUILD_ROOT/desktop-data
for i in $RPM_BUILD_ROOT/usr/share/desktop-directories/*.directory $RPM_BUILD_ROOT/usr/share/wallpapers/*.desktop
do
 if ! grep -q ^NoDisplay=true "$i" && ! grep -qi ^Hidden=true "$i" ; then
   %suse_update_desktop_file "$i"
 fi
done
#
# define default mouse cursor
#
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 0644 %SOURCE1 \
  $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.windowmanager-%name
#
# is it a valid menu ?
#
export XDG_DATA_DIRS=$RPM_BUILD_ROOT/usr/share/
export XDG_CONFIG_DIRS=$RPM_BUILD_ROOT/etc/xdg/
xdg_menu --die-on-error --format readable
#
# make call-browser executable, symlink
chmod 755 $RPM_BUILD_ROOT/usr/bin/call-browser
ln -snf call-browser $RPM_BUILD_ROOT/usr/bin/desktop-launch

%post
%{fillup_only -an windowmanager}
# clean up old susewm menus
/bin/rm -rf etc/opt/kde3/share/applnk/{Settings,SuSE,work}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/xdg/menus
%config(noreplace) /etc/xdg/menus/*.menu
/usr/share/pixmaps/*
/usr/share/desktop-*
/usr/share/wallpapers
/etc/profile.d/desktop-data.*
/var/adm/fillup-templates/sysconfig.windowmanager-%name
/usr/bin/call-browser
/usr/bin/desktop-launch

%changelog -n desktop-data-NLD
* Wed Jun 28 2006 - dmueller@suse.de
- add workaround for YaST2 theming issue (#188217)
* Fri Jun 09 2006 - coolo@suse.de
- don't set QT_HOME_DIR to a system path (#183059)
* Fri Jun 09 2006 - stbinner@suse.de
- map X-SuSE-ControlCenter-Personal to System/Configuration (to move
  Casa manager out of lost+found)
* Fri Jun 02 2006 - stbinner@suse.de
- update to open right app when clicking on a file (#180697)
* Wed May 31 2006 - dobey@suse.de
- update to get QT_HOME_DIR set in profiles (#162156)
* Fri May 26 2006 - stbinner@suse.de
- remove obsolete CREATE_XDG_MENUS entry from .fillup (#150130)
* Mon Apr 24 2006 - coolo@suse.de
- remove the merging script
* Mon Apr 24 2006 - coolo@suse.de
- update to get patched qtrc (#145219)
* Tue Apr 04 2006 - kukuk@suse.de
- provide/obsolete desktop-data-SLES [#162223]
* Mon Mar 20 2006 - coolo@suse.de
- update from SVN: restricting list of wallpapers
* Mon Mar 20 2006 - stbinner@suse.de
- fix typo in a wallpaper .desktop file name
* Mon Mar 13 2006 - coolo@suse.de
- update wallpapers
* Fri Mar 10 2006 - coolo@suse.de
- update from SVN to fix wallpaper translations
* Thu Mar 09 2006 - coolo@suse.de
- update from SVN to fix translations
* Tue Feb 28 2006 - sreeves@suse.de
- Update icon names in nld-*.directory files
* Wed Feb 22 2006 - sreeves@suse.de
- Update the /etc/xdg/menus/applications.menu with new categories
  Add the following new directory files
  nld-audiovideo.directory
  nld-browse.directory
  nld-communicate.directory
  nld-images.directory
  nld-tools.directory
* Fri Feb 10 2006 - stbinner@suse.de
- remove SUSE Sans fonts, DejaVu fonts will replace them (#132577)
* Fri Feb 10 2006 - coolo@suse.de
- myComputer is gone - fix file list
* Thu Feb 09 2006 - coolo@suse.de
- update from SVN to fix the KDE menu (all yast modules flat in
  Applications)
* Thu Feb 09 2006 - stbinner@suse.de
- remove "Provides: desktop-data-SuSE" (#149105)
* Mon Feb 06 2006 - coolo@suse.de
- put the tarball into SVN and update from it (without yast2 integration
  into kcontrol)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - dobey@suse.de
- Update default wallpapers
* Wed Jan 18 2006 - stbinner@suse.de
- add conflict with desktop-data-SuSE
* Mon Dec 19 2005 - dobey@suse.de
- Update default nld10 wallpapers
* Wed Nov 16 2005 - jpr@suse.de
- Initial check, update wallpaper
